Package xg.protocol.messages

# Enum Class ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase

java.lang.Object
java.lang.Enum<ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase>
xg.protocol.messages.ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase

All Implemented Interfaces:
  `AbstractMessageLite.InternalOneOfEnum`, `Internal.EnumLite`, `Serializable`, `Comparable<ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase>`, `Constable`

Enclosing class:
  ProtocolPrivMessages.protocolPrivMessage

public static enum ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase extends Enum<ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase> implements Internal.EnumLite, AbstractMessageLite.InternalOneOfEnum

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACK`
`DISABLE_PROTOCOL`
`ENABLE_PROTOCOL`
`NOTIFY_IDENTITY`
`PRIVMESSAGE_NOT_SET`

## Method Summary

Modifier and Type
Method
Description
`static ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase`
`forNumber(int value)`
`int`
`getNumber()`
Retrieves the field number of the field which was set in this `oneof`, or `0` if none were.
`static ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase`
`valueOf(int value)`
Deprecated.
`static ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NOTIFY_IDENTITY

public static final ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase NOTIFY_IDENTITY

### ENABLE_PROTOCOL

public static final ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase ENABLE_PROTOCOL

### DISABLE_PROTOCOL

public static final ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase DISABLE_PROTOCOL

### ACK

public static final ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase ACK

### PRIVMESSAGE_NOT_SET

public static final ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase PRIVMESSAGE_NOT_SET

## Method Details

### values

public static ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### valueOf

@Deprecated public static ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase valueOf(int value)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase forNumber(int value)

### getNumber

public int getNumber()
Description copied from interface: `AbstractMessageLite.InternalOneOfEnum`
Retrieves the field number of the field which was set in this `oneof`, or `0` if none were.

Specified by:
  `getNumber` in interface `AbstractMessageLite.InternalOneOfEnum`
Specified by:
  `getNumber` in interface `Internal.EnumLite`